{% extends 'base.html' %}

{% block content %}

<form method='GET' action=''>
<input type='text' name='q' placeholder='Search Courses' value='{{ request.GET.q }}' />
<input type='submit' value='Search' />
</form>

{% for instance in object_list %}
    {% comment %} <p>{{instance.id}} - {{instance.title}}</p> {% endcomment %}
    {% comment %} <p>{{instance.id}} - <a href='/products/{{instance.id}}/'>{{instance.title}}</a></p> {% endcomment %}
    <p>{{instance.id}} - <a href='{{ instance.get_absolute_url }}'>{{instance.title}}</a> Starts at {{instance.start_time}}</p>
    
    <ul>
        {% if request.GET.q == '' or instance in course_object_list %}
            {% for student in instance.enrollment_set.all %}
                <li><a href='{{ student.student.get_absolute_url }}'>{{student.student.name}}</a> - {{student.credits_taken}}</li>
            {% endfor %}
        {% else %}
            {% for student in instance.enrollment_set.all %}
                {% if student.student in student_object_list %}
                    <li><a href='{{ student.student.get_absolute_url }}'>{{student.student.name}}</a> - {{student.credits_taken}}</li>
                {% endif %}
            {% endfor %}
        {% endif %}
    </ul>
    
{% endfor%}


<form method='GET' action='download_csv/' >
<input type='submit' value='Download csv'/> 
<input type="hidden" name="q" value='{{request.GET.q}}'>,
</form>

{% endblock %}